Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class PublishTrustAnchors

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.PublishTrustAnchors

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class PublishTrustAnchors
extends ASN1Object

PublishTrustAnchors ::= SEQUENCE { seqNumber INTEGER, hashAlgorithm AlgorithmIdentifier, anchorHashes SEQUENCE OF OCTET STRING }

Constructor Summary
`PublishTrustAnchors(java.math.BigInteger seqNumber, AlgorithmIdentifier hashAlgorithm, byte[][] anchorHashes)`

Method Summary
`byte[][]` | `getAnchorHashes()`
`AlgorithmIdentifier` | `getHashAlgorithm()`
`static PublishTrustAnchors` | `getInstance(java.lang.Object o)`
`java.math.BigInteger` | `getSeqNumber()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublishTrustAnchors

    public PublishTrustAnchors(java.math.BigInteger seqNumber,
                               AlgorithmIdentifier hashAlgorithm,
                               byte[][] anchorHashes)

Method Detail

### getInstance

    public static PublishTrustAnchors getInstance(java.lang.Object o)

### getSeqNumber

    public java.math.BigInteger getSeqNumber()

### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

### getAnchorHashes

    public byte[][] getAnchorHashes()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD